Create an event

Create an event in a calendar to block availability

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Seldom used for most use cases

Events are low-level entities that you often don't have to worry about as bookings are the main abstraction that represents a scheduled time/event. Events in Timekit should only be used directly when you want to block out specific timeslots or sync availability manually.

Events are entities that block availability in a calendar. Events should not be regarded as bookings because they don't contain all the necessary data and state about a scheduled timeslot.

But events can come in handy if you need to control availability granularly. E.g. you use our (POST /availability)[ref:query-availability-v2] endpoint and include availability filters to build a general availability profile, but you can use this endpoint to specifically block time in a resource's calendar.

Do note that for Google/Microsoft connected resources, any events created will be synced to the provider.

📘

Understanding the event invitations

If the booked resource is synced with an external service, like google or microsoft, the service can automatically send its own built in "invitation" notifications to the participants, once an event is put into a calendar. The invite parameter is false by default.

If you want invitations to be sent, make sure to include the customer's (recipient) email in the participants array, like so:

"participants": [
  "[email protected]"
]

If you also add the resource's (event owner) email to the participants list in addition to the customer email, you can choose the initial RSVP status for event with the my_rsvp parameter.

Body Params
string
required

Uuid of the calendar to add the event to

date
required

Start of the event

date
required

End of the event

string
required

What is the event? 'Strategy meeting' or 'Coffee with Peter'

string
required

Where is the event taking place?

string

A custom description for the event

boolean
Defaults to false

Send provider invitation emails when using google/microsoft. See below.

participants
array of strings
Defaults to []

A list of emails to invite as participants (when using google/microsoft)

participants
string
Defaults to accepted

Set your own RSVP when using google/microsoft, allowed values: "accepted", "needsAction", "declined", "tentative"

boolean
Defaults to false

if set to true, we will only send date (Y-m-d) to google, so it will be handled as a true all day event

boolean
Defaults to false

This will trigger a sync with the associated provider and return the Event object from the database

boolean
Defaults to false

If set to true, the event will not block availability.

Responses

Language
Credentials
:
LoadingLoading…
Response
Choose an example:
application/json